Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.impl
Class LineFeederFromStream

    java.lang.Object
      things.data.impl.LineFeederFromStream

All Implemented Interfaces:
  LineFeeder

    public class LineFeederFromStream

extends java.lang.Object
implements LineFeeder

A line feeder implementation that works on file.

Version:
  1.0

  Version History

      EPG - Initial - 10 MAY 05

Author:
  Erich P. Gatejen

Constructor Summary
`LineFeederFromStream()`

Method Summary
`java.lang.String` | `getNextLine()` Get the next line as a String.
`void` | `init(java.io.InputStream ios)` Init the feeder.
`int` | `lineNumber()` Get the number of the current line (last one read).
`java.lang.String` | `peekNextLine()` peek at next line, but don't read it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineFeederFromStream

    public LineFeederFromStream()

Method Detail

### init

    public void init(java.io.InputStream ios)
              throws ThingsException

  Init the feeder. It will accept and buffer an unbuffered stream as a source.

  Parameters:
    `ios` - InputStream source
  Throws:
    `thingss.common.ThingsException`
    `ThingsException`

### getNextLine

    public java.lang.String getNextLine()

  Get the next line as a String. It will return null if there is nothing left to give.

  Specified by:
    `getNextLine` in interface `LineFeeder`
  Returns:
    the next line

### peekNextLine

    public java.lang.String peekNextLine()

  peek at next line, but don't read it.

  Specified by:
    `peekNextLine` in interface `LineFeeder`
  Returns:
    the next line

### lineNumber

    public int lineNumber()

  Get the number of the current line (last one read).

  Specified by:
    `lineNumber` in interface `LineFeeder`
  Returns:
    the next line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.